Passer au contenu principal
POST
/
client
/
shipments
/
{orderNumber}
/
purchase
Purchase a shipment
curl --request POST \
  --url https://api.ship.uniuni.com/prod/client/shipments/{orderNumber}/purchase \
  --header 'Authorization: Bearer <token>'
{ "message": "Shipment purchased successfully", "code": 0, "data": { "trackingId": "UR07240000000004901", "orderNumber": "UNI029834CA7", "insuranceCreated": false } }

Autorisations

Authorization
string
header
requis

API access token generated from the UniUni Platform dashboard.

Paramètres de chemin

orderNumber
string
requis

The unique order number (e.g. UNI031455E90).

Réponse

200 - application/json

Purchase result

message
string
requis

Additional information about the request status.

code
integer
requis

Status code. 0 indicates success.

data
object